/*
 * Copyright (C) SapphireCode - All Rights Reserved
 * This file is part of Snippeteer which is released under BSD-3-Clause.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, July 2020
 */

import { files } from '@sapphirecode/standard';
import { Snippet } from '../../Snippet';
import { apply_template } from '../../Helper';

export default class Drone implements Snippet {
  public is_active (): boolean {
    return true;
  }

  public async start ():Promise<void> {
    await apply_template (files.drone, '.drone.yml');
  }
}
